Bug 827804 - Review Request: python-cliapp - Python framework for Unix command line programs
Summary: Review Request: python-cliapp - Python framework for Unix command line programs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 827803
Blocks: 827806 827808 827809 827810 827818 827819
TreeView+ depends on / blocked
 
Reported: 2012-06-03 06:19 UTC by Michel Alexandre Salim
Modified: 2012-10-18 11:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-19 14:57:11 UTC
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2012-06-03 06:19:59 UTC
Spec URL: http://salimma.fedorapeople.org/specs/admin/python-cliapp.spec
SRPM URL: http://salimma.fedorapeople.org/specs/admin/python-cliapp-0.29-1.fc17.src.rpm
Description:
cliapp is a Python framework for Unix-like command line programs. It
contains the typical stuff such programs need to do, such as parsing
the command line for options, and iterating over input files.

Fedora Account System Username: salimma

Comment 1 Matthias Runge 2012-06-03 09:30:17 UTC
I'll do a review.

Comment 2 Matthias Runge 2012-06-04 08:00:35 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/827804/python-cliapp_0.29.orig.tar.gz :
  MD5SUM this package     : 9f5006fe3cb141a9436003274cbfd5da
  MD5SUM upstream package : 9f5006fe3cb141a9436003274cbfd5da

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.



you should delete the first line
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

as it's not required any more

I would also appreciate it, if you could be more specific in files-section (more sepcific than %{python_sitelib}/*):
%{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}-%version-py?.?.egg-info

I see no other issues, so 
PACKAGE APPROVED

Comment 3 Michel Alexandre Salim 2012-06-04 14:53:39 UTC
Thanks, will make those changes before importing.

New Package SCM Request
=======================
Package Name: python-cliapp
Short Description: Python framework for Unix command line programs
Owners: salimma
Branches: f16 f17
InitialCC:

Comment 4 Gwyn Ciesla 2012-06-04 15:21:26 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-06-05 05:58:01 UTC
python-cliapp-0.29-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-cliapp-0.29-2.fc16

Comment 6 Fedora Update System 2012-06-05 05:58:13 UTC
python-cliapp-0.29-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-cliapp-0.29-2.fc17

Comment 7 Fedora Update System 2012-06-07 02:40:52 UTC
python-cliapp-0.29-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 8 Fedora Update System 2012-06-19 14:57:11 UTC
python-cliapp-0.29-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 9 Fedora Update System 2012-06-20 00:25:32 UTC
python-cliapp-0.29-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 10 Michel Alexandre Salim 2012-10-17 06:42:56 UTC
Package Change Request
======================
Package Name: python-cliapp
New Branches: el6

Comment 11 Gwyn Ciesla 2012-10-17 14:01:20 UTC
Misformatted request.

Comment 12 Michel Alexandre Salim 2012-10-18 06:53:58 UTC
Package Change Request
======================
Package Name: python-cliapp
New Branches: el6
Owners: salimma

Comment 13 Gwyn Ciesla 2012-10-18 11:08:27 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.